{
  "name": "server",
  "version": "0.0.1",
  "description": "",
  "author": "",
  "private": true,
  "license": "UNLICENSED",
  "scripts": {
    "prebuild": "rimraf dist",
    "build": "nest build",
    "apigen": "ts-node src/api/generate.ts && prettier --write \"src/api/odms/*.json\"",
    "format": "prettier --write \"src/**/*.ts\" \"src/api/odms/*.json\"",
    "start": "nest start",
    "start:dev": "nest start --watch",
    "start:debug": "nest start --debug --watch",
    "start:prod": "node dist/main",
    "tc": "tsc --noEmit",
    "lint": "eslint \"{src,apps,libs,test}/**/*.ts\"",
    "lint:fix": "eslint \"{src,apps,libs,test}/**/*.ts\" --fix",
    "test": "jest",
    "test:watch": "jest --watch",
    "test:cov": "jest --coverage",
    "test:debug": "node --inspect-brk -r tsconfig-paths/register -r ts-node/register node_modules/.bin/jest --runInBand",
    "test:e2e": "jest --config ./test/jest-e2e.json",
    "og": "openapi-generator-cli",
    "openapi-format": "cat \"src/api/odms/openapi.json\" | jq -c . > \"src/api/odms/openapi.json\"  && prettier --write \"src/api/odms/*.json\"",
    "migrate:up": "sql-migrate up -config=/app/dictation_server/db/dbconfig.yml -env=local",
    "migrate:down": "sql-migrate down -config=/app/dictation_server/db/dbconfig.yml -env=local"
  },
  "dependencies": {
    "@azure/identity": "^3.1.3",
    "@azure/keyvault-secrets": "^4.6.0",
    "@azure/notification-hubs": "^1.0.1",
    "@azure/storage-blob": "^12.14.0",
    "@microsoft/microsoft-graph-client": "^3.0.5",
    "@nestjs/axios": "^0.1.0",
    "@nestjs/common": "^9.3.12",
    "@nestjs/config": "^2.2.0",
    "@nestjs/core": "^9.3.12",
    "@nestjs/platform-express": "^9.3.12",
    "@nestjs/serve-static": "^3.0.1",
    "@nestjs/typeorm": "^9.0.1",
    "@openapitools/openapi-generator-cli": "^0.0.6",
    "@sendgrid/mail": "^7.7.0",
    "@types/jsonwebtoken": "^9.0.1",
    "@types/uuid": "^8.3.4",
    "axios": "^1.3.4",
    "class-transformer": "^0.5.1",
    "class-validator": "^0.14.0",
    "connect-redis": "^6.1.3",
    "cookie-parser": "^1.4.6",
    "express-session": "^1.17.3",
    "helmet": "^6.0.1",
    "jsonwebtoken": "^9.0.0",
    "jwk-to-pem": "^2.0.5",
    "mysql2": "^2.3.3",
    "redis": "^4.2.0",
    "reflect-metadata": "^0.1.13",
    "rimraf": "^3.0.2",
    "rxjs": "^7.2.0",
    "typeorm": "^0.3.10"
  },
  "devDependencies": {
    "@apidevtools/swagger-cli": "^4.0.4",
    "@nestjs/cli": "^9.3.0",
    "@nestjs/schematics": "^8.0.0",
    "@nestjs/swagger": "^6.3.0",
    "@nestjs/testing": "^9.3.12",
    "@types/cookie-parser": "^1.4.3",
    "@types/express": "^4.17.13",
    "@types/express-session": "^1.17.5",
    "@types/jest": "27.5.0",
    "@types/jsonwebtoken": "^9.0.1",
    "@types/jwk-to-pem": "^2.0.1",
    "@types/node": "^16.0.0",
    "@types/supertest": "^2.0.11",
    "@typescript-eslint/eslint-plugin": "^5.0.0",
    "@typescript-eslint/parser": "^5.0.0",
    "base64url": "^3.0.1",
    "eslint": "^8.0.1",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-prettier": "^4.0.0",
    "jest": "28.0.3",
    "license-checker": "^25.0.1",
    "prettier": "^2.3.2",
    "source-map-support": "^0.5.20",
    "sqlite3": "^5.1.6",
    "supertest": "^6.1.3",
    "swagger-ui-express": "^4.5.0",
    "ts-jest": "28.0.1",
    "ts-loader": "^9.2.3",
    "ts-node": "^10.0.0",
    "tsconfig-paths": "4.0.0",
    "typescript": "^4.9.5"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": "src",
    "testRegex": ".*\\.spec\\.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "collectCoverageFrom": [
      "**/*.(t|j)s"
    ],
    "coverageDirectory": "../coverage",
    "testEnvironment": "node"
  }
}
